%define libxpm %mklibname xpm 4
Name: libxpm
Summary:  X Pixmap Library
Version: 3.5.5
Release: %mkrel 2
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXpm-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: libxt-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
The xpm package contains the XPM pixmap library for the X Window
System. The XPM library allows applications to display color,
pixmapped images, and is used by many popular X programs.

#-----------------------------------------------------------

%package -n %{libxpm}
Summary:  X Pixmap Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libxpm}
The xpm package contains the XPM pixmap library for the X Window
System. The XPM library allows applications to display color,
pixmapped images, and is used by many popular X programs.

#-----------------------------------------------------------

%package -n %{libxpm}-devel
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxpm} = %{version}
Requires: libx11-devel >= 1.0.0
Provides: libxpm-devel = %{version}-%{release}
Provides: xpm-devel = %{version}-%{release}

Conflicts: libxorg-x11-devel < 7.0

%description -n %{libxpm}-devel
Development files for %{name}

%pre -n %{libxpm}-devel
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files -n %{libxpm}-devel
%defattr(-,root,root)
%{_bindir}/cxpm
%{_bindir}/sxpm
%{_libdir}/libXpm.so
%{_libdir}/libXpm.la
%{_libdir}/pkgconfig/xpm.pc
%{_includedir}/X11/xpm.h
%{_mandir}/man1/*xpm.1x.bz2

#-----------------------------------------------------------

%package -n %{libxpm}-static-devel
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{libxpm}-devel >= %{version}
Provides: libxpm-static-devel = %{version}-%{release}
Provides: xpm-static-devel = %{version}-%{release}

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{libxpm}-static-devel
Static development files for %{name}

%files -n %{libxpm}-static-devel
%defattr(-,root,root)
%{_libdir}/libXpm.a

#-----------------------------------------------------------

%prep
%setup -q -n libXpm-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -n %{libxpm}
%defattr(-,root,root)
%{_libdir}/libXpm.so.4
%{_libdir}/libXpm.so.4.11.0


%changelog
* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 20:17:57 (31598)
- X11R7.1

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 19:54:51 (26912)
- fixed more dependencies

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository
